Bug 1397227 - rabbitmq-java-client-4.1.1 is available
Summary: rabbitmq-java-client-4.1.1 is available
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-java-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: 1423477
TreeView+ depends on / blocked
 
Reported: 2016-11-22 00:27 UTC by Upstream Release Monitoring
Modified: 2018-03-14 18:15 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-15 09:31:44 UTC


Attachments (Terms of Use)
bump to v3.6.10 (5.54 KB, patch)
2017-07-12 18:09 UTC, Raphael Groner
no flags Details | Diff
bump to v4.1.1 (5.93 KB, patch)
2017-07-12 18:10 UTC, Raphael Groner
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1537230 None None None Never

Internal Trackers: 1537230

Description Upstream Release Monitoring 2016-11-22 00:27:10 UTC
Latest upstream release: 3.6.6
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 1 Raphael Groner 2016-12-10 21:20:51 UTC
Thinking about bump to 4.0.0, at least in rawhide.

Comment 3 Upstream Release Monitoring 2016-12-10 21:30:53 UTC
Latest upstream release: 4.0.0.M2
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 4 Upstream Release Monitoring 2017-01-05 00:32:41 UTC
Latest upstream release: 4.0.1
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 5 Upstream Release Monitoring 2017-01-18 00:29:21 UTC
Latest upstream release: 4.0.2.RC1
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 6 Upstream Release Monitoring 2017-01-22 12:22:08 UTC
Latest upstream release: 4.0.2
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 7 Upstream Release Monitoring 2017-02-15 12:20:21 UTC
Latest upstream release: 4.1.0.RC1
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 8 Upstream Release Monitoring 2017-02-21 12:20:15 UTC
Latest upstream release: 4.1.0
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 9 Upstream Release Monitoring 2017-02-28 12:20:12 UTC
Latest upstream release: 4.1.1.ci.preview
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 10 Upstream Release Monitoring 2017-05-31 00:23:26 UTC
Latest upstream release: 4.1.1.RC2
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 11 Upstream Release Monitoring 2017-06-01 00:22:55 UTC
Latest upstream release: 4.1.1.RC3
Current version/release in rawhide: 3.6.5-1.fc26
URL: http://www.rabbitmq.com/java-client.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5525/

Comment 12 Fedora Admin XMLRPC Client 2017-06-05 16:54:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2017-06-05 18:19:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Raphael Groner 2017-07-12 18:09 UTC
Created attachment 1297149 [details]
bump to v3.6.10

patch to bump to version 3.6.10
- please notice the 3.6.x series seem to be stalled for further development

Comment 15 Raphael Groner 2017-07-12 18:10 UTC
Created attachment 1297150 [details]
bump to v4.1.1

bump to version 4.1.1
- please note tests currently FTBFS

Should we keep with version 3.6.10 as long upstream has b0rken tests in 4.1.x series?

Comment 16 Jan Kurik 2017-08-15 08:31:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 17 Raphael Groner 2017-08-15 09:04:46 UTC
Hi gil, any news about this?

Comment 18 gil cattaneo 2017-08-15 09:31:44 UTC
(In reply to Raphael Groner from comment #17)
> Hi gil, any news about this?

Not interested to upgede the packagee, cause lost xompatibility with ny packages
regards

Comment 19 Raphael Groner 2017-08-15 09:35:08 UTC
Can you elaborate about lost compatibility? I checked with JAPICC.
https://abi-laboratory.pro/java/tracker/timeline/amqp-client/

Comment 20 gil cattaneo 2017-08-15 14:03:12 UTC
(In reply to Raphael Groner from comment #19)
> Can you elaborate about lost compatibility? I checked with JAPICC.
> https://abi-laboratory.pro/java/tracker/timeline/amqp-client/

No i have no time for this, Regards


Note You need to log in before you can comment on or make changes to this bug.